#include <iostream>
#include <bits/stdc++.h> 

using namespace std;

int main()
{
int n,q,kozepe;
cin>>n>>q;
vector<int> A;
//vector<int> Indexek(1000005);
vector<int> megoldas;
for(int i=0;i<n;i++)
{
    int x;
    cin>>x;
    //Indexek[x]++;
    A.push_back(x);
}
sort(A.begin(),A.end());
    kozepe=(A[A.size()/2]);
for(int j=0;j<q;j++)
{
    int x;
    megoldas.push_back(-1);
    cin>>x;
    if(x>kozepe)
    {
        for(int i=A.size()/2+1;i<A.size();i++)
        {
            if(A[i]==x)
            {
                megoldas[j]=i-(A.size()-i);
            }
            else
            if(i<A.size()-1){
                if(A[i+1]>x)
                {
                    megoldas[j]=i+1-(A.size()-i+1);
                }
            }
        }
        if(megoldas[j]==-1)
        {
            megoldas[j]=A.size();
        }
    }
    else
        if(x<kozepe)
    {
        if(x<A[0])
        {
            megoldas[j]=A.size();
        }
        for(int i=0;i<A.size()/2;i++)
        {
            if(A[i]==x||A[i+1]>x)
            {
                megoldas[j]=i+1-(A.size()-(i+1))+1;
            }

        }
    }
    else
    {
        megoldas[j]=0;
    }

}
for(int i=0;i<megoldas.size();i++)
{
    cout<<megoldas[i]<<" ";
}
}